- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

EVP_idea_cbc, EVP_idea_cfb, EVP_idea_cfb64, EVP_idea_ecb, EVP_idea_ofb - EVP IDEA cipher

# SYNOPSIS

     #include <openssl/evp.h>

     const EVP_CIPHER *EVP_idea_cbc(void)
     const EVP_CIPHER *EVP_idea_cfb(void)
     const EVP_CIPHER *EVP_idea_cfb64(void)
     const EVP_CIPHER *EVP_idea_ecb(void)
     const EVP_CIPHER *EVP_idea_ofb(void)

# DESCRIPTION

The IDEA encryption algorithm for EVP.

EVP_idea_cbc(), EVP_idea_cfb(), EVP_idea_cfb64(), EVP_idea_ecb(), EVP_idea_ofb()

  The IDEA encryption algorithm in CBC, CFB, ECB and OFB modes respectively.

# RETURN VALUES

These functions return an EVP_CIPHER structure that contains the implementation of the symmetric cipher. See EVP_CIPHER_meth_new(3) for details of the EVP_CIPHER structure.

# SEE ALSO

evp(7), EVP_EncryptInit(3), EVP_CIPHER_meth_new(3)

# COPYRIGHT

Copyright 2017-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.